<?php
namespace Teknisa\GOP\Modules\Cadastro\Services;

use Zeedhi\Framework\DTO;

class Gop18000OrcamentoImpostoService {
    protected $connection;
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function saveEdit($params) {
        $sql = "UPDATE IMPOSTOORCAFIL SET CDFILIAL = :P_CDFILIAL, CDIMPOSTO = :P_CDIMPOSTO, VRPERCSOBFAT = :P_VRPERCSOBFAT, VRPERCSOBCONS = :P_VRPERCSOBCONS, VRPERCSOBLUCRO = :P_VRPERCSOBLUCRO WHERE CDFILIAL = :CDFILIAL AND CDIMPOSTO = :CDIMPOSTO AND VRPERCSOBFAT = :VRPERCSOBFAT AND VRPERCSOBCONS = :VRPERCSOBCONS AND VRPERCSOBLUCRO = :VRPERCSOBLUCRO";
        try {
            $std = $this->connection->prepare($sql);
            $std->execute($params);
        } catch (Exception $e){
            throw $e;
        }
    }
}